MARTe2-core - User story #185

Container of smart pointers
31.07.2015 15:43 - André Neto

Status: Closed Start date: 31.07.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.3 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Refactor the original MARTe smart pointer container infrastructure (aka GCReferenceContainer).
This would satisfy requirement:

¢ MARTe-EX-F-2.1.5: The framework shall offer developers a standard containers of object references.

Source code files modified

Architecture & design review
Date of the review: 31/07/2015
Person who did the review: Andre' Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 21/08/2015

Person who did the review: Giuseppe Ferrd

Result of review: PASS

List of non-conformities: N/A.

Note: These two lint errors remains to solve:

MARTe2-dev/Source/Core/L10bjects/ReferenceContainer.cpp:205:41: Warning 1502: defined object 'ReferenceContainerHeap_' of

type 'Heap' has no nonstatic data members

Note 974: Worst case function for stack usage: 'ReferenceContainer::Find' is recursive, loop contains call to
'ReferenceContainer::Find'. See stack for a full report. [MISRA C+ Rule 7-5-4]

Unit test review
Date of the review: 21/08/2015

Person who did the review: Giuseppe Ferro
Result of coverage tests review: PASS
Result of functional tests review: PASS

Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision c47d7506 - 14.08.2015 09:25 - André Neto
Merge branch '#186_Named_Obijects' into #185_Reference_Container

Revision cf79e7d0 - 17.08.2015 15:24 - Giuseppe Ferro

Merge branch '#185_Reference_Container' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #185_Reference_Container

Revision 22eebb0a - 17.08.2015 18:45 - André Neto

Merge branch '#185_Reference_Container' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #185_Reference_Container

Revision ec491984 - 18.08.2015 12:37 - André Neto

Merge branch '#185_Reference_Container' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#185_Reference_Container

Conflicts:

Source/Core/L10bjects/ReferenceContainer.cpp
Source/Core/L10bjects/ReferenceContainerFilter.cpp
Source/Core/L10bjects/ReferenceContainerFilter.h
Source/Core/L10bjects/ReferenceContainerFilterObjects.cpp
Source/Core/L10bjects/ReferenceContainerFilterObjects.h
Test/Core/L10bjects/ReferenceContainerTest.cpp
Test/GTest/ReferenceContainerGTest.cpp

Revision 37dc5588 - 18.08.2015 12:56 - André Neto

Merge branch '#185_Reference_Container' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#185_ Reference_Container

Conflicts:
Source/Core/L10bjects/ReferenceContainerFilterObjectName.cpp
Source/Core/L10bjects/ReferenceContainerFilterObjectName.h

Revision 9¢6¢c0c08 - 18.08.2015 17:50 - Giuseppe Ferro

List of changes:

-Lint done, only some warning remained.

-Copied in StringHelper the tokenize functions of Stringportable
and used them in ReferenceContainerFilterObjectName.

#185

Revision 6e43f88c - 18.08.2015 22:46 - André Neto
Corrected bug #185.
Corrected bug in the implementation of the

ReferenceContainerFilterObjectName. Now it looks if the full history is
always matched when searching for an absolute path.

Revision 7a7cc109 - 19.08.2015 09:00 - André Neto
Finished linting of #185.

Revision f8792ae7 - 19.08.2015 09:07 - Giuseppe Ferro

Added RCNode tests.
#185

Revision 315e79e4 - 19.08.2015 09:11 - Giuseppe Ferro

Merge branch '#185_Reference_Container' of
https://vcis-qgitlab.f4e.europa.eu/aneto/MARTe2.git into
#185_Reference_Container
Conflicts:
Source/Core/L10bjects/ReferenceContainer.cpp
Source/Core/L10bjects/ReferenceContainerFilterObjectName.cpp

Revision 1a58b912 - 19.08.2015 09:15 - André Neto
Lint in progress for #185.

Revision a750d9ed - 19.08.2015 10:52 - André Neto

Merge branch '#185_Reference_Container' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#185_Reference_Container

Conflicts:
MakeDefaults/Lint/marte_flint_exceptions.Int

Revision 77d7a2d1 - 20.08.2015 10:27 - Giuseppe Ferro
List of changes:
-Added ReferenceContainerFilterObjectName tests.

#185

Revision 08f1d6cf - 20.08.2015 10:31 - Giuseppe Ferro

Merge branch '#185_Reference_Container' of
https://vcis-qgitlab.f4e.europa.eu/aneto/MARTe2.git into
#185_Reference_Container

Conflicts:
Source/Core/L10bjects/ReferenceContainerFilterObjectName.cpp

Revision 967dbc1f - 20.08.2015 20:09 - André Neto
Corrected bug in ReferenceContainerFilterObjectName #185.
Ready for code review.

Revision 1130e5e6 - 21.08.2015 09:49 - Giuseppe Ferro

Merge branch '#185_Reference_Container' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #185_Reference_Container

Revision dbdef28b - 21.08.2015 10:54 - André Neto
Merging of #185 with develop.

Revision 3224873c - 21.08.2015 13:06 - Giuseppe Ferro

Minor changes in documentation.
#185

Revision 1dca196c - 22.08.2015 17:15 - André Neto

Merge branch 'develop' into #185_Reference_Container

Conflicts:
MakeDefaults/Lint/marte_flint_exceptions.Int
Source/Core/L10bjects/ClassProperties.cpp
Source/Core/L10bjects/ClassRegistryDatabase.cpp
Source/Core/L10bjects/ClassRegistryDatabase.h
Source/Core/L10bjects/ClassRegistryltem.cpp
Source/Core/L10bjects/Introspection.h
Source/Core/L10bjects/Makefile.cov
Source/Core/L10bjects/Reference.cpp
Source/Core/L10bjects/ReferenceT.h
Source/Core/L10bjects/StructuredData.h
Test/Core/L10bjects/Makefile.inc
Test/GTest/Makefile.inc

History

#1 - 31.07.2015 15:45 - André Neto

- Target version set to 0.3
#2 - 31.07.2015 16:10 - André Neto

- Description updated

#3 - 12.08.2015 10:25 - André Neto

- Status changed from New to Code: Impl

#4 - 12.08.2015 10:25 - André Neto

- Assignee set to André Neto

#5 - 20.08.2015 20:10 - André Neto
- Status changed from Code: Impl to Code: Rev

#6 - 20.08.2015 20:10 - André Neto
- Assignee deleted (André Neto)

#7 - 21.08.2015 10:01 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#8 - 21.08.2015 12:31 - Giuseppe Ferro

- Description updated

#9 - 21.08.2015 12:32 - Giuseppe Ferro
- Status changed from Code: Rev to Unit: Impl

- Assignee changed from Giuseppe Ferro to André Neto

#10 - 21.08.2015 13:03 - Giuseppe Ferro
- Status changed from Unit: Impl to Unit: Rev

#11 - 21.08.2015 13:04 - Giuseppe Ferro

- Assignee changed from André Neto to Giuseppe Ferro

#12 - 21.08.2015 13:05 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

#13 - 21.08.2015 13:12 - Giuseppe Ferro
Unit Review done: 3224873

#14 - 22.08.2015 17:30 - André Neto
Merged with develop @1dca196

#15 - 22.08.2015 17:30 - André Neto

- Status changed from Unit: Rev to Closed
